MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

Modules | Data Structures | Typedefs | Functions
IPARK

## Modules
| Module overview

## Data Structures
struct | _IPARK_Obj_
| Defines the IPARK object. More...

## Typedefs
typedef struct _IPARK_Obj_ | IPARK_Obj
| Defines the IPARK object. More...
typedef struct _IPARK_Obj_ * | IPARK_Handle
| Defines the IPARK handle. More...
typedef struct _IPARK_Obj_ | IPARK_Obj
| Defines the IPARK object. More...
typedef struct _IPARK_Obj_ * | IPARK_Handle
| Defines the IPARK handle. More...

## Functions
static _iq | IPARK_getCosTh (IPARK_Handle handle)
| Gets the cosine of the angle between the d,q and the alpha,beta coordinate systems. More...
static void | IPARK_getPhasor (IPARK_Handle handle, MATH_vec2 *pPhasor)
| Gets the cosine/sine phasor for the inverse Park transform. More...
static _iq | IPARK_getSinTh (IPARK_Handle handle)
| Gets the sine of the angle between the d,q and the alpha,beta coordinate systems. More...
IPARK_Handle | IPARK_init (void *pMemory, const size_t numBytes)
| Initializes the inverse Park transform module. More...
static void | IPARK_run (IPARK_Handle handle, const MATH_vec2 *pInVec, MATH_vec2 *pOutVec)
| Runs the inverse Park transform module. More...
static void | IPARK_setCosTh (IPARK_Handle handle, const _iq cosTh)
| Sets the cosine of the angle between the d,q and the alpha,beta coordinate systems. More...
static void | IPARK_setPhasor (IPARK_Handle handle, const MATH_vec2 *pPhasor)
| Sets the cosine/sine phasor for the inverse Park transform. More...
static void | IPARK_setSinTh (IPARK_Handle handle, const _iq sinTh)
| Sets the sine of the angle between the d,q and the alpha,beta coordinate systems. More...
static void | IPARK_setup (IPARK_Handle handle, const _iq Th_pu)
| Sets up the inverse Park transform module. More...
static void | IPARK_setCosTh (IPARK_Handle handle, const float_t cosTh)
| Sets the cosine of the angle between the d,q and the alpha,beta coordinate systems. More...
static void | IPARK_setSinTh (IPARK_Handle handle, const float_t sinTh)
| Sets the sine of the angle between the d,q and the alpha,beta coordinate systems. More...
static void | IPARK_setup (IPARK_Handle handle, const float_t Th)
| Sets up the inverse Park transform module. More...

## Detailed Description

## Data Structure Documentation

struct _IPARK_Obj_

Defines the IPARK object.

Definition at line 73 of file 32b/ipark.h.

Data Fields
_iq | cosTh | the cosine of the angle between the d,q and the alpha,beta coordinate systems
float_t | cosTh | the cosine of the angle between the d,q and the alpha,beta coordinate systems
_iq | sinTh | the sine of the angle between the d,q and the alpha,beta coordinate systems
float_t | sinTh | the sine of the angle between the d,q and the alpha,beta coordinate systems

## Typedef Documentation

typedef struct _IPARK_Obj_* IPARK_Handle

Defines the IPARK handle.

Definition at line 84 of file 32b/ipark.h.

typedef struct _IPARK_Obj_* IPARK_Handle

Defines the IPARK handle.

Definition at line 89 of file float/ipark.h.

typedef struct _IPARK_Obj_ IPARK_Obj

Defines the IPARK object.

typedef struct _IPARK_Obj_ IPARK_Obj

Defines the IPARK object.

## Function Documentation

static _iq IPARK_getCosTh | ( | IPARK_Handle | handle | ) |
| inline static

Gets the cosine of the angle between the d,q and the alpha,beta coordinate systems.

Parameters

  [in] | handle | The inverse Park transform handle

Returns
  The cosine of the angle

Definition at line 93 of file 32b/ipark.h.

References _IPARK_Obj_::cosTh.

static void IPARK_getPhasor | ( | IPARK_Handle | handle,
|  | MATH_vec2 * | pPhasor
| ) |  |
| inline static

Gets the cosine/sine phasor for the inverse Park transform.

Parameters

  [in] | handle | The inverse Park transform handle
  [in] | pPhasor | The pointer to the cosine/sine phasor

Definition at line 104 of file 32b/ipark.h.

References _IPARK_Obj_::cosTh, _IPARK_Obj_::sinTh, and _MATH_vec2_::value.

static _iq IPARK_getSinTh | ( | IPARK_Handle | handle | ) |
| inline static

Gets the sine of the angle between the d,q and the alpha,beta coordinate systems.

Parameters

  [in] | handle | The inverse Park transform handle return The sine of the angle

Definition at line 118 of file 32b/ipark.h.

References _IPARK_Obj_::sinTh.

IPARK_Handle IPARK_init | ( | void * | pMemory,
|  | const size_t | numBytes
| ) |  |

Initializes the inverse Park transform module.

Parameters

  [in] | pMemory | A pointer to the memory for the inverse Park object
  [in] | numBytes | The number of bytes allocated for the inverse Park object, bytes

Returns
  The inverse Park (IPARK) object handle

Definition at line 56 of file 32b/ipark.c.

static void IPARK_run | ( | IPARK_Handle | handle,
|  | const MATH_vec2 * | pInVec,
|  | MATH_vec2 * | pOutVec
| ) |  |
| inline static

Runs the inverse Park transform module.

Parameters

  [in] | handle | The inverse Park transform handle
  [in] | pInVec | The pointer to the input vector
  [in] | pOutVec | The pointer to the output vector

Definition at line 137 of file 32b/ipark.h.

References _IQmpy, _IPARK_Obj_::cosTh, _IPARK_Obj_::sinTh, and _MATH_vec2_::value.

Referenced by CTRL_runOnLine(), and CTRL_runOnLine_User().

static void IPARK_setCosTh | ( | IPARK_Handle | handle,
|  | const _iq | cosTh
| ) |  |
| inline static

Sets the cosine of the angle between the d,q and the alpha,beta coordinate systems.

Parameters

  [in] | handle | The inverse Park transform handle
  [in] | cosTh | The cosine of the angle

Definition at line 158 of file 32b/ipark.h.

References _IPARK_Obj_::cosTh.

static void IPARK_setCosTh | ( | IPARK_Handle | handle,
|  | const float_t | cosTh
| ) |  |
| inline static

Sets the cosine of the angle between the d,q and the alpha,beta coordinate systems.

Parameters

  [in] | handle | The inverse Park transform handle
  [in] | cosTh | The cosine of the angle

Definition at line 165 of file float/ipark.h.

References _IPARK_Obj_::cosTh.

static void IPARK_setPhasor | ( | IPARK_Handle | handle,
|  | const MATH_vec2 * | pPhasor
| ) |  |
| inline static

Sets the cosine/sine phasor for the inverse Park transform.

Parameters

  [in] | handle | The inverse Park transform handle
  [in] | pPhasor | The pointer to the cosine/sine phasor, pu

Definition at line 171 of file 32b/ipark.h.

References _IPARK_Obj_::cosTh, _IPARK_Obj_::sinTh, and _MATH_vec2_::value.

Referenced by CTRL_runOnLine(), and CTRL_runOnLine_User().

static void IPARK_setSinTh | ( | IPARK_Handle | handle,
|  | const _iq | sinTh
| ) |  |
| inline static

Sets the sine of the angle between the d,q and the alpha,beta coordinate systems.

Parameters

  [in] | handle | The inverse Park transform handle
  [in] | sinTh | The sine of the angle

Definition at line 185 of file 32b/ipark.h.

References _IPARK_Obj_::sinTh.

static void IPARK_setSinTh | ( | IPARK_Handle | handle,
|  | const float_t | sinTh
| ) |  |
| inline static

Sets the sine of the angle between the d,q and the alpha,beta coordinate systems.

Parameters

  [in] | handle | The inverse Park transform handle
  [in] | sinTh | The sine of the angle

Definition at line 192 of file float/ipark.h.

References _IPARK_Obj_::sinTh.

static void IPARK_setup | ( | IPARK_Handle | handle,
|  | const _iq | Th_pu
| ) |  |
| inline static

Sets up the inverse Park transform module.

Parameters

  [in] | handle | The inverse Park transform handle
  [in] | Th_pu | The angle between the d,q and the alpha,beta coordinate systems, pu

Definition at line 198 of file 32b/ipark.h.

References _IQcosPU, _IQsinPU, _IPARK_Obj_::cosTh, and _IPARK_Obj_::sinTh.

static void IPARK_setup | ( | IPARK_Handle | handle,
|  | const float_t | Th
| ) |  |
| inline static

Sets up the inverse Park transform module.

Parameters

  [in] | handle | The inverse Park transform handle
  [in] | Th | The angle between the d,q and the alpha,beta coordinate systems, rad

Definition at line 205 of file float/ipark.h.

References _IPARK_Obj_::cosTh, and _IPARK_Obj_::sinTh.